package intrinsic.mx.states;

public class SetProperty extends Object implements intrinsic.mx.states.IOverride {

	/** Accessors */

	/** Variables */
	public Object target;
	public Object value;
	public String name;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public SetProperty() {
}

public SetProperty(Object arg0) {
}

public SetProperty(Object arg0, Object arg1) {
}

public SetProperty(Object arg0, Object arg1, Object arg2) {
}


/** Static Methods */

/** Methods */
public native void initialize();
public native void apply(intrinsic.mx.core.UIComponent arg0);
public native void remove(intrinsic.mx.core.UIComponent arg0);

}
